Bug 152126 - inserting Compact Flash card fails with error
inserting Compact Flash card fails with error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pcmcia-cs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Agata
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 22:08 EST by Richard Keech
Modified: 2013-07-03 09:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2005-03-24 22:08:21 EST
Description of problem:

On inserting a Compact Flash memory card, the card services facility fails to
mount the file system on the card.  

Version-Release number of selected component (if applicable):

fully up-to-date RHEL4 AS system; in particular
pcmcia-cs-3.2.7-1.14
kernel-2.6.9-5.0.3.EL

How reproducible:

on one system, it occurs on every every attempt.  this has not been
attempted on any other system.

Steps to Reproduce:
1.  CF card, 32MB, unpartitioned with VFAT file system.
2.  card inserted into PC Card adapter.
3.  insert PC Card adapter into IBM T41P laptop's upper PC card slot
  
Actual results:

from /var/log/messages coinciding with the inserting of CF card
--------------------------
localhost cardmgr[1993]: socket 0: ATA/IDE Fixed DiskMar 25 13:58:37 localhost
kernel: hde: CF Card 32MB, CFA DISK drive
Mar 25 13:58:37 localhost kernel: ide2 at 0x100-0x107,0x10e on irq 3
Mar 25 13:58:37 localhost kernel: hde: max request size: 128KiB
Mar 25 13:58:37 localhost kernel: hde: 62976 sectors (32 MB) w/1KiB Cache,
CHS=123/16/32
Mar 25 13:58:37 localhost kernel:  hde:
Mar 25 13:58:37 localhost kernel: ide-cs: hde: Vcc = 3.3, Vpp = 0.0
Mar 25 13:58:37 localhost cardmgr[1993]: executing: './ide start hde 2>&1'
Mar 25 13:58:37 localhost cardmgr[1993]: + ./ide: line 34: /sbin/ide_info: No
such file or directory
Expected results:


Additional info:

I notice that /etc/pcmcia/ide, at line 34, tries to call a non-existant utility 
/sbin/ide_info.

On the same system, using a 340MB microdrive in the same PC Card adapter in 
the same slot succeeds in mounting (albeit with separate issue logged in 
separate bug).
Comment 1 Suzanne Hillman 2005-03-28 14:19:58 EST
Has this particular card worked on previous RHEL releases?
Comment 2 Richard Keech 2005-03-28 16:12:27 EST
This particular card has not been used by me with previous RHEL releases.
Comment 3 Alan Cox 2005-04-24 09:14:38 EDT
This is a packaging/config not a kernel bug. 
Comment 4 Dan Williams 2005-06-17 21:22:46 EDT
See Bug 120486 which is this exact issue against FC3...  This I think the
consensus there is that HAL should be doing the work that /etc/pcmcia/ide used
to do here, and that the stuff that calls ide_info should just be removed.
Comment 5 Jiri Pallich 2012-06-20 12:04:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.